@import '../../assets/css/main.scss';

// .tab-menu_tab{
//     list-style: none;
//     display: inline-flex;    
//     width: 100vw;
//     margin-top: 25px;
//     padding-bottom: 10px;
//     color: $main-text-color;
//     border-bottom: 1px solid $line-color;
//     &_option{
//         margin-right: 5%;
//         font-size: .8em;
//         &:last-child{
//             margin-right: 0;
//         }
//         &.active{
//             border-bottom: 1px solid $secondary-color;
//         }
//     }
// }
button:focus, input:focus{
    outline: none;
}
.tab-menu{
    &_profile-image{
        width: 15vw;
        height: 15vw;
        overflow: hidden;
        border: 3px solid #ffffff;
        border-radius: 6px;
        top: -7.5vw;
        left: 7.5vw;
        position: absolute;
        background: #ffffff;
        &_image{
            width: 100%;
            height: auto;
        }
    }
    &_tabs{
        display: flex;
        flex-wrap: wrap;
        margin: 0;
        overflow: hidden;
        margin-top: 40px;
        padding-bottom: 10px;
        &-tab{
            width: calc(25% - 5px);
            //height: 47px;
            padding: 0 15px;
            border-bottom: 1px solid $line-color;
            &:first-of-type{
                margin-left: 3%;
            }
            &_label{
                color: $main-text-color;
                cursor: pointer;
                display: block;
                font-size: 0.6em;
                font-weight: 300;
                text-align: center;
                margin-right: 5%;
                //height: 38px;
                &:last-child{
                    margin-right: 0;
                }
            }
            &_check{
                cursor: pointer;
                appearance: none;
                display: block;
                width: 100%;
                transition: all 0.3s ease-in-out;
                &:hover, &:focus{            
                    border-bottom: 1px solid $secondary-light-color;
                }
                &:checked{
                    border-bottom: 1px solid $secondary-color;
                }
            }
            &_content{
                display: block;
                position: absolute;
                margin-top: 20px;
                left: 7.5vw;                
                width: 85vw;
                text-align: justify;
            }
            & +div{
width: 200%;
margin-left: 200%;
            }
            &:checked + div{
                margin-left: 0;
                            }
                            &:last-child +div{
                                margin-left: 100%;
                                            }
                                            &:last-child +div{
                                                margin-left: -100%;
                                                            }
        }
    }
}